Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.optimizers
Class LabelChoiceFactory

    java.lang.Object
      org.deegree.graphics.optimizers.LabelChoiceFactory

    public class LabelChoiceFactory

extends Object

Factory for `LabelChoice` objects.

Version:
  $Revision: 19328 $, $Date: 2009-08-26 09:07:46 +0200 (Mi, 26. Aug 2009) $
Author:
  Markus Schneider, last edited by: $Author: aschmitz $

Constructor Summary
`LabelChoiceFactory()`

Method Summary
`(package private) static ArrayList<LabelChoice>` | `createLabelChoices(Curve curve, LabelDisplayElement element, Graphics2D g, GeoTransform projection)` Determines `LabelChoice`s for the given `Curve` where a `Label` could be drawn.
`(package private) static ArrayList<LabelChoice>` | `createLabelChoices(LabelDisplayElement element, Graphics2D g, GeoTransform projection)` Determines `LabelChoice` candidates for the given `LabelDisplayElement`.
`(package private) static ArrayList<LabelChoice>` | `createLabelChoices(MultiCurve multiCurve, LabelDisplayElement element, Graphics2D g, GeoTransform projection)` Determines `LabelChoice` candidates for the given `MultiCurve` where a label could be drawn.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelChoiceFactory

    public LabelChoiceFactory()

Method Detail

### createLabelChoices

    static ArrayList<LabelChoice> createLabelChoices(LabelDisplayElement element,
                                                     Graphics2D g,
                                                     GeoTransform projection)

  Determines `LabelChoice` candidates for the given `LabelDisplayElement`.

  Parameters:
    `element` -
    `g` -
    `projection` -
  Returns:
    possible `LabelChoice`s

### createLabelChoices

    static ArrayList<LabelChoice> createLabelChoices(MultiCurve multiCurve,
                                                     LabelDisplayElement element,
                                                     Graphics2D g,
                                                     GeoTransform projection)
                                              throws FilterEvaluationException

  Determines `LabelChoice` candidates for the given `MultiCurve` where a label could be drawn.

  Three candidates are generated:

  - on the line
  - above it
  - below

  Parameters:
    `multiCurve` -
    `element` -
    `g` -
    `projection` -
  Returns:
    ArrayList containing `LabelChoice`-objects
  Throws:
    `FilterEvaluationException`

### createLabelChoices

    static ArrayList<LabelChoice> createLabelChoices(Curve curve,
                                                     LabelDisplayElement element,
                                                     Graphics2D g,
                                                     GeoTransform projection)
                                              throws FilterEvaluationException

  Determines `LabelChoice`s for the given `Curve` where a `Label` could be drawn.

  Three candidates are generated:

  - on the line
  - above it
  - below

  Parameters:
    `curve` -
    `element` -
    `g` -
    `projection` -
  Returns:
    ArrayList containing `LabelChoice`-objects
  Throws:
    `FilterEvaluationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org